<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Comandi - Progetto Olimpiadi</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://cdn.lordicon.com/lusqsztk.js"></script>
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;700&display=swap" rel="stylesheet">
</head>
<body class="comandi">
<div class="container-flex">


  <div class="holy-grail-sidebar menu-items">
    <div class="menu-item">
      <a href="index.html">
        <lord-icon
            src="https://cdn.lordicon.com/igpbsrza.json"
            trigger="hover"
            state="morph-2"
            style="width:8vh;height:8vh">
        </lord-icon>
        Home
      </a>
    </div>
    <div class="menu-item">
      <a href="comandi.html">
        <lord-icon
            src="https://cdn.lordicon.com/xulniijg.json"
            trigger="hover"
            style="width:8vh;height:8vh">
        </lord-icon>
        Comando
      </a>
    </div>
  </div>


  <div class="holy-grail-content">
    <!--
      Section
    -->
    <h1>Comandi</h1>
    <div class="commands-list">
      <div class="container">
        <div class="cell">
          <h3>Comandi videocamera</h3>
          <button type="button"
                  data-plc-type="write" data-plc-variable='"ComandiDaWEB".CameraSu' data-plc-variable-js='camera_su'
                  data-plc-input-type="press">
            <i class="fa fa-arrow-up arrow"></i>
          </button>

          <button type="button"
                  data-plc-type="write" data-plc-variable='"ComandiDaWEB".CameraGiu' data-plc-variable-js='camera_giu'
                  data-plc-input-type="press">
            <i class="fa fa-arrow-down arrow"></i>
          </button>
        </div>
        <div class="cell">
          <h3>Reset sistema</h3>
          <button type="button" class="btn"
                  data-plc-type="write" data-plc-variable='"ComandiDaWEB".Reset' data-plc-variable-js='reset'
                  data-plc-input-type="press">
            <span>Reset</span>
            <img class="Reset_img" src="images/content/reset.svg">
          </button>
        </div>
        <div class="cell">
          <h3>Comandi elettroserratura</h3>
          <button type="button" class="btn"
                  data-plc-type="write" data-plc-variable='"ComandiDaWEB".ElettroserraturaON'
                  data-plc-variable-js='ElettroserraturaON'
                  data-plc-input-type="press">
            <span>ON</span>
            <img class="ElettroserraturaON_img" src="images/content/onButton.svg">
          </button>

          <button type="button" class="btn"
                  s data-plc-type="write" data-plc-variable='"ComandiDaWEB".ElettroserraturaOFF'
                  data-plc-variable-js='ElettroserraturaOFF'
                  data-plc-input-type="press">
            <span>OFF</span>
            <img class="ElettroserraturaOFF_img" src="images/content/offButton.svg">
          </button>
        </div>
      </div>
    </div>

    <h1>Statistiche</h1>
    <p>Stato macchina: <span data-plc-type="read" data-plc-variable-js="stato"></span></p>
    <p>Età 0-12: <span data-plc-type="read" data-plc-variable-js="eta_0_12"></span></p>
    <p>Età 12-30: <span data-plc-type="read" data-plc-variable-js="eta_12_30"></span></p>
    <p>Età 30-60: <span data-plc-type="read" data-plc-variable-js="eta_30_60"></span></p>
    <p>Età 60-100: <span data-plc-type="read" data-plc-variable-js="eta_60_100"></span></p>
  </div>


  <div class="holy-grail-footer">

    <div class="contenitore-loghi">
      <img src="images/content/logo-cattaneo.png" class="logo-footer">
    </div>

    <div class="contenitore-loghi">
      <img src="images/content/logo-mandela.png" class="logo-footer">
    </div>

    <div class="contenitore-loghi">
      <img src="images/content/logo-siemens.png" class="logo-footer">
    </div>

  </div>
</div>
</body>
</html>
